Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have downloaded the tar.gz file for Ubuntu 10.10 64-bit from http://plcemu.sourceforge.net/ but I don't know how to install this.

Does anyone know how to install plc-emu from the .tar.zip?

Tried but i cant install the software...it gives error

melwin@Firefly:~/Desktop/plcemu-14a$ sudo make
[sudo] password for melwin: 
Makefile:25: warning: overriding commands for target `hardware.o'
Makefile:23: warning: ignoring old commands for target `hardware.o'
cc -O -g -c  plcemu.c
In file included from plclib.h:1,
                 from plcemu.c:1:
plcemu.h:6: fatal error: asm/io.h: No such file or directory
compilation terminated.
make: *** [plcemu.o] Error 1
share|improve this question
2  
You should uncompress and compile it. Use make. If there is any particular problem ask about it. Two details, before the flak starts: I know that this is not an answer, but he is asking for a tool to emulate plc programming, if he is ever going to use it he will need to know the basic of C programming, starting by compiling. –  Javier Rivera Mar 1 '11 at 11:49
add comment

1 Answer 1

According to this writeup, the source code you are trying to compile is outdated and needs to include sys/io.h (from libc6-dev, a dependency of build-essential) instead of asm/io.h. This forum post agrees.

If you're lucky, you might be able to simply modify plcemu.h with this change. However, if this results in more severe compilation errors, the problem is likely to be well outside the scope of Ask Ubuntu.

share|improve this answer
    
you are correct...is there any other way to install plcemu? or any other softwares like this. –  user10072 Mar 2 '11 at 14:04
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.